#
# spec file for package python-cracklib
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-cracklib
Version:        2.9.3
Release:        1.1
Url:            http://cracklib.sourceforge.net/
Summary:        A CPython extension module wrapping the libcrack library
License:        GPL-2.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/cracklib/cracklib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  cracklib-devel
%if 0%{?suse_version}
%py_requires
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
This CPython extension provides Python bindings for cracklib. It
contains a pythonic interface to cracklib's functions and some Python
convenience functions.

%prep
%setup -q -n cracklib-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitearch}/*

%changelog
* Tue Feb  2 2016 mailaender@opensuse.org
- update to version 2.9.3
* Mon Sep 24 2012 mailaender@opensuse.org
- initial packaging
